# $Id: Makefile.am,v 1.3 1999/09/29 05:57:48 admin Exp $

noinst_PROGRAMS = package
package_SOURCES = AdaptiveClassLoader.java Bytes.java Lock.java Semaphore.java Stoppable.java TimeoutException.java 
JAVACX = @JAVACX@

SUFFIXES = .java .class

.java.class:
	@ ${ECHO} "Compiling $< ..."
	@ ${JAVACX} $<

package: $(package_OBJECTS) $(package_DEPENDENCIES)

clean-compile:

	rm -f *.class

clean-generic:

	rm -f *~

